Subject: Re: bug#17168: 24.3.50; Segfault at mark_object

From: Stefan Monnier <[email-masked]>
Date: Wed, 02 Apr 2014 19:24:30 -0400

> It's 32 bytes long, which means that we're trying to mark a pointer into
> the middle of the vector.
> The clear-transient-map symbol itself, of course, is live. It's
> perfectly normal and its value slot is set to Qunbound.

So, IIUC the symbol-function slot of the clear-transient-map symbol
points in the middle of a vector?

Since the symbol-function slot of the clear-transient-map symbol is only
set once, I think this means that the vector to which it pointed has
been somehow freed.

Of course that shouldn't be possible: at any previous GC, either the
clear-transient-map symbol was found live and traced (so the vector to
which it pointed shouldn't have been freed) or it wasn't found live, in
which case the symbol-function slot should have been set to the special
"dead" value.

        Stefan